/*
**  LOADCOEF:
**    Purpose: load coefficients from results-file on SUN
**    file made using
**       spliid < tab2gd.inp (German data)
**
**  Author: Marius Ooms
**  Date: 14/10/96
**  email: ooms@econometriclinks.com
**  URL:    http://www.econ.vu.nl/econometriclinks/ooms/programs/unempcor.zip
**
*/
@ ed l:\predseas\jbes\results.dat; @
s=4;
p=1;
k=1;
@ load x[]= l:\predseas\jbes\resngd.asc;@
load x[]= resngd.asc;
phi1=x[1:s*s];
phi1=reshape(phi1,s,s);
phi=eye(s)|phi1;
eigmat=phi1;
{var,vai}=eigrg(eigmat);
"roots real and imaginary: ";
var~vai;
beta=x[p*s*s+1:p*s*s+k*s];
beta=reshape(beta,k,s)';
omega=x[(p*s+k)*s+1:rows(x)];
omega=reshape(omega,s,s);
